"use strict";
this.name = "coyoteGreer5";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteGreer2.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
	this.killByFerdie = false;
}

this.shipDied = function (whom, why) {}

this.shipTakingDamage = function (amount, whom, type) {
	if (!whom) {
		return;
	}
	if (whom.primaryRole == "coyoteferdie10" && this.killByFerdie) {
		this.ship.spawnOne("coyotegreerspod");
		this.ship.explode();
	}
}

this.FDL = function () {
	this.killByFerdie = true;
}